net.sf.jasperreports.engine.export.tabulator

## Class Tabulator.TableCellCreator

- java.lang.Object
- - net.sf.jasperreports.engine.export.tabulator.Tabulator.TableCellCreator

- All Implemented Interfaces:
    CellVisitor<TablePosition,TableCell,java.lang.RuntimeException>
  Enclosing class:
    Tabulator

      protected class Tabulator.TableCellCreator
      extends java.lang.Object
      implements CellVisitor<TablePosition,TableCell,java.lang.RuntimeException>

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Tabulator.TableCellCreator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected JRLineBox` | `copyFrameBox(FrameCell frameCell, JRPrintFrame frame, JRLineBox baseBox, boolean keepLeft, boolean keepRight, boolean keepTop, boolean keepBottom)`
    `protected JRLineBox` | `copyParentBox(Cell cell, JRPrintElement element, JRLineBox baseBox, boolean keepLeft, boolean keepRight, boolean keepTop, boolean keepBottom)`
    `protected java.awt.Color` | `getElementBackcolor(BaseElementCell cell)`
    `protected boolean[]` | `getFrameCellBorders(Table table, FrameCell cell, Column firstCol, Column lastCol, Row firstRow, Row lastRow)`
    `TableCell` | `visit(ElementCell cell, TablePosition position)`
    `TableCell` | `visit(FrameCell frameCell, TablePosition position)`
    `TableCell` | `visit(LayeredCell layeredCell, TablePosition position)`
    `TableCell` | `visit(SplitCell cell, TablePosition position)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Tabulator.TableCellCreator

          protected Tabulator.TableCellCreator()

  - ### Method Detail

    - #### visit

          public TableCell visit(ElementCell cell,
                        TablePosition position)

      Specified by:
        `visit` in interface `CellVisitor<TablePosition,TableCell,java.lang.RuntimeException>`

    - #### visit

          public TableCell visit(SplitCell cell,
                        TablePosition position)

      Specified by:
        `visit` in interface `CellVisitor<TablePosition,TableCell,java.lang.RuntimeException>`

    - #### visit

          public TableCell visit(FrameCell frameCell,
                        TablePosition position)

      Specified by:
        `visit` in interface `CellVisitor<TablePosition,TableCell,java.lang.RuntimeException>`

    - #### visit

          public TableCell visit(LayeredCell layeredCell,
                        TablePosition position)

      Specified by:
        `visit` in interface `CellVisitor<TablePosition,TableCell,java.lang.RuntimeException>`

    - #### getElementBackcolor

          protected java.awt.Color getElementBackcolor(BaseElementCell cell)

    - #### copyParentBox

          protected JRLineBox copyParentBox(Cell cell,
                                JRPrintElement element,
                                JRLineBox baseBox,
                                boolean keepLeft,
                                boolean keepRight,
                                boolean keepTop,
                                boolean keepBottom)

    - #### getFrameCellBorders

          protected boolean[] getFrameCellBorders(Table table,
                                      FrameCell cell,
                                      Column firstCol,
                                      Column lastCol,
                                      Row firstRow,
                                      Row lastRow)

    - #### copyFrameBox

          protected JRLineBox copyFrameBox(FrameCell frameCell,
                               JRPrintFrame frame,
                               JRLineBox baseBox,
                               boolean keepLeft,
                               boolean keepRight,
                               boolean keepTop,
                               boolean keepBottom)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com